import { useMemo } from 'react';
import { View } from '@tarojs/components'
import { Row, Col, Icon } from "@antmjs/vantui";
import './style.less'

export default (props) => {
  const { person, onEdit } = props

  const { title, dept } = useMemo(() => ({
    title: `姓名: ${person?.personName || ''}`,
    dept: `科室: ${person?.deptName || ''}`
  }), [person])

  return (
    <View className='index-header'>
      <Row gutter='24'>
        <Col span='16'>
          <View className='index-person-name'>{title}</View>
        </Col>
        <Col span='8' onClick={onEdit}>          
          <View className='index-edit-btn'>
            <View style={{ display: 'inline-block', marginRight: '8px' }}>修改信息</View>
            <Icon name='edit' color='#fff' size='1.1em' />
          </View>
        </Col>
      </Row>
      <Row gutter='24'>
        <Col span='16'>
          <View className='index-person-dept'>{dept}</View>
        </Col>
        <Col span='8' />
      </Row>
    </View>
  )
}
