
import React, { useMemo } from 'react'
import { View } from '@tarojs/components'
import { Tag } from "@antmjs/vantui"
import './style.less'

const TagStatus = {
  '0': '可采样',
  '1': '可采样',
  '2': '可采样',
  '3': '送出',
  '4': '接收',
  '5': '部分报告',
  '6': '确认报告',
}

export default (props) => {
  const { barData } = props
  
  const { tagShow, tagText, tagPlain } = useMemo(() => {
    let inx = barData?.reqStat
    if (inx === undefined || inx === null) {
      inx = -1
    }

    const t = TagStatus[inx]
    return {
      tagShow: !!barData?.barcode,
      tagText: !t ? '' : t,
      tagPlain: t >= 2
    }
  }, [barData])

  return (
    <View className='index-qr-item'>
      {
        tagShow && (
          <View className='index-barcode-tag'>
            <Tag plain={tagPlain} color='#03737b' size='large'>{tagText}</Tag>
          </View>
        )
      }
      {props.children}
    </View>
  )
}
