
import request from '@/utils/request'
import { getQueryString } from '@/utils/codeSegment'
// utils/request


/**
 * 登陆
 * @param {*} data 
 * @returns 
 */
export const login = (data) => request('/login', { data, method: 'POST' })

/**
 * 科室选择
 * @param {*} data 
 * @returns 
 */
export const getDepartmenList = (data) => request('/bds-org', { data, method: 'GET' })


/**
 * 手机号
 * @param {*} data 
 * @returns 
 */
export const getPhoneuser = (data) => request('/auth-phone', { data, method: 'PUT' })


/**
 * 维护个人信息
 * @param {*} data 
 * @returns 
 */
export const setUserInfo = (data) => request('/person', { data, method: 'PUT' })


/**
 * 获取条形码
 * @param {*} data 
 * @returns 
 */
export const getBarcode = (id, params) => {
  const data = { queryStr : getQueryString(params) }
  return request(`/person/${id}/barcode`, { data, pageLoading: true, method: 'POST' })
}
